import { Host, h } from "@stencil/core";
import { cls } from "../../utils/helpers";
export class XGridContainer {
    constructor() {
        this.break = undefined;
    }
    /**
     * Render component
     */
    render() {
        return h(Host, { key: 'd9e1b8ff05ab11f87487b1d0feeb0ed1a9821202', class: cls(this.break ? `container-${this.break}` : 'container') }, h("slot", { key: 'e6e5b944c7e6b694de32b1620410cce6e8a0d25a' }));
    }
    static get is() { return "x-container"; }
    static get originalStyleUrls() {
        return {
            "$": ["./style.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["style.css"]
        };
    }
    static get properties() {
        return {
            "break": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "Element break size"
                },
                "attribute": "break",
                "reflect": false
            }
        };
    }
}
